/// <reference types="react" />
import type { PillColor } from './Pill.types';
export declare const StyledPill: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {
    $color: PillColor;
}>> & string;
export declare const StyledRemove: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<Omit<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>, "ref"> & {
    ref?: ((instance: SVGSVGElement | null) => void) | import("react").RefObject<SVGSVGElement> | null | undefined;
}, {
    $color: PillColor;
}>> & string & Omit<import("react").ForwardRefExoticComponent<{
    size?: import("@procore/core-icons/dist/Icon").IconSize | undefined;
} & import("react").SVGAttributes<SVGElement> & import("react").RefAttributes<SVGSVGElement>>, keyof import("react").Component<any, {}, any>>;
export declare const StyledRemoveButton: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {
    $color: PillColor;
}>> & string;
